← Tables

Scotland

East Region League Division 1

#TeamPWDLPDBPPtsForm
1Corstorphine RFC4400+68420WWWW
2Langholm RFC4301-7214LWWW
3Dunbar RFC4202+18412LLWW
4Ross High RFC4202+6412WLWL
5Portobello FP RFC4202-4311WWLL
6Murrayfield Wanderers FC4202-21311WWLL
7North Berwick RFC4103+948LLLW
8Livingston RFC4004-6922LLLL

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.